Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.domino
Interface IDocument

All Superinterfaces:
  IAttachmentSupport

All Known Subinterfaces:
  IDeliveryReport, IDominoAppointment, IMemo, INonDeliveryReport

public interface IDocument
extends IAttachmentSupport

Interface that contains document manipulation methods specific to Domino.

Field Summary
`static Key` | `DOCUMENT_TYPE` Key that represents the Domino document type of the document.
`static Key` | `EMBEDDED_IMAGE_COUNT` Key that represents the count of embedded images in the document.
`static int` | `KEYID_DOCUMENT_TYPE` The `int` ID for the `DOCUMENT_TYPE` key.
`static int` | `KEYID_EMBEDDED_IMAGE_COUNT` The `int` ID for the `EMBEDDED_IMAGE_COUNT` key.
`static int` | `KEYID_PARENT_DOCUMENT_ID` The `int` ID for the `PARENT_DOCUMENT_ID` key.
`static Key` | `PARENT_DOCUMENT_ID` Key that represents the parent document ID of the document.

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`DocumentType` | `getDocumentType()` Gets the Domino document type.
`int` | `getEmbeddedImageCount()` Gets the number of embedded images on the document.
`java.lang.String` | `getParentDocumentID()` Gets the ID of the parent document.

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_EMBEDDED_IMAGE_COUNT

    public static final int KEYID_EMBEDDED_IMAGE_COUNT

  The `int` ID for the `EMBEDDED_IMAGE_COUNT` key.

### KEYID_DOCUMENT_TYPE

    public static final int KEYID_DOCUMENT_TYPE

  The `int` ID for the `DOCUMENT_TYPE` key.

### KEYID_PARENT_DOCUMENT_ID

    public static final int KEYID_PARENT_DOCUMENT_ID

  The `int` ID for the `PARENT_DOCUMENT_ID` key.

### EMBEDDED_IMAGE_COUNT

    public static final Key EMBEDDED_IMAGE_COUNT

  Key that represents the count of embedded images in the document.

### DOCUMENT_TYPE

    public static final Key DOCUMENT_TYPE

  Key that represents the Domino document type of the document.

### PARENT_DOCUMENT_ID

    public static final Key PARENT_DOCUMENT_ID

  Key that represents the parent document ID of the document.

Method Detail

### getDocumentType

    public DocumentType getDocumentType()
                                 throws CollaborationException

  Gets the Domino document type.
  Returns:
    the document type (not `null`)
  See Also:
    `EMBEDDED_IMAGE_COUNT`

### getEmbeddedImageCount

    public int getEmbeddedImageCount()
                              throws CollaborationException

  Gets the number of embedded images on the document.
  Returns:
    the number of embedded images (0 if there are no images)
  See Also:
    `EMBEDDED_IMAGE_COUNT`

### getParentDocumentID

    public java.lang.String getParentDocumentID()
                                         throws CollaborationException

  Gets the ID of the parent document.
  Returns:
    the ID (0 if there are no images)
  See Also:
    `PARENT_DOCUMENT_ID`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.